routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Foundation\Auth\EmailVerificationRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\SubscriptionBuyController;
use App\Http\Controllers\PredictionController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('landing_page');
});

Auth::routes(['verify' => true]);

Route::middleware(['auth'])->group(function () {
    Route::prefix('home')->group(
        function () {
            Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
            Route::get('/trial', [SubscriptionBuyController::class, 'setTrialPeriod'])->name('trial');
            Route::resource('/user', UserController::class);
            Route::get('/prices', [SubscriptionBuyController::class, 'getSubscriptionPrices'])->name('prices');
            Route::middleware(['enabled.customer'])->get('/show', [PredictionController::class, 'showDataRate'])->name('show');
            Route::post('/subscribe', [SubscriptionBuyController::class, 'buySubscription'])->name('subscribe.post');
        }
    );
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Cashier\Billable;

class User extends Authenticatable implements MustVerifyEmail
{
    use HasFactory, Notifiable, Billable;

	protected $primaryKey = 'id';

    /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
    protected $fillable = [
        'id',
        'name',
        'email',
        'password',
        'access_cond',
        'beg_acc_period',
        'end_acc_period',
        'stripe_id',
        'card_brand',
        'card_last_four',
        'trial_ends_at',
    ];

    /**
    * The attributes that should be hidden for arrays.
    *
    * @var array
    */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
    * The attributes that should be cast to native types.
    *
    * @var array
    */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Services\UserService;
use Illuminate\Support\Facades\Auth;
use App\Http\Requests\UserRequest;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class UserController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @param UserService $user
     * @return void
     */
    public function __construct(UserService $user)
    {
        $this->user = $user;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\View\View
     */
    public function index()
    {
        return view(
            'user.index',
            ["user" => Auth::user()]
        );
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return \Illuminate\Http\Response
     */
    public function store()
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function show()
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\View\View
     */
    public function edit($id)
    {
        return view(
            'user.edit',
            [
                "user" => $this->user->findById($id)
            ]
        );
    }

    /**
     * Update the specified resource in storage.
     *
     * @param UserRequest $request
     * @param User $user
     * @return Illuminate\Http\Redirect
     */
    public function update(UserRequest $request, User $user)
    {
        $dataUpdate['name'] = $request->name;
        $password = $request->password;
        if ( $password !== null & $password !== "" ){
            $password = Hash::make($password);
            $dataUpdate['password'] = $password;
        }
        $this->user->update($user->id, $dataUpdate);
        return redirect()->route('user.index')->withSuccess(
            'User' . $this->user->findById($user->id)->name . " was updated!"
        );
    }

    /**
     * Remove the specified resource from storage.
     *
     * @return \Illuminate\Http\Response
     */
    public function destroy()
    {
        //
    }
}

resources/views/user/edit.blade.php
@extends('adminlte::page')

@section('content_header')
    <div class="starter-template text-center py-2 px-3">
        <h1>Edit Profile</h1>
    </div>
@stop

@section('content')
    <div class="md-8">
        
                <form method="POST" action="{{ route('user.update', ['user' => $user->id]) }}">
                    @method('PUT')
                    @csrf
                    <div class="card card-primary card-outline">
                        <div class="card-body box-profile">
                            
                                <div class="card-body">
                                    <div class="form-group row">                                        
                                        <label class="col-md-4 col-form-label" for="name">New Name</label>
                                        <div class="col-md-8">
                                            <input type="text" name="name" id="name" class="form-control @error('name') is-invalid @enderror" value="{{old('name') ?? $user->name }}">
                                            @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-md-4 col-form-label" for="password">New Password</label>  
                                        <div class="col-md-8">                              
                                            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password">
                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror 
                                        </div>                               
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-md-4 col-form-label" for="password-confirm">Confirm Password</label>
                                        <div class="col-md-8 pull-right">
                                            <input id="password-confirm" type="password" class="form-control " name="password_confirmation">
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                            
                        </div>
                        <div class="card-footer box-profile" style="text-align: center;">
                            <input type="submit" value="Save Changes" class="btn btn-primary" style="margin-top: 20px;">
                        </div>
                    </div>
                    
                </form>
            </div>
        </div>
    </div>
@stop

resources/views/user/index.blade.php
@extends('adminlte::page')

@section('content_header')
    <div class="starter-template text-center py-2 px-3">
        <h1>Profile</h1>
    </div>
@stop

@section('content')
    <!--<div class="md-2"></div>-->
    <div class="md-8">
        <div class="card card-primary card-outline">
          <div class="card-body box-profile">
            @include('partials.alerts')

            <ul class="list-group list-group-unbordered mb-3">
              <li class="list-group-item">
                <b>Name</b> <a class="float-right">{{ $user->name }}</a>
              </li>
              <li class="list-group-item">
                <b>E-Mail Address</b> <a class="float-right">{{ $user->email }}</a>
              </li>
              <li class="list-group-item">
                <b>Access Condition</b> <a class="float-right">{{ $user->access_cond }}</a>
              </li>
              @if (($user->access_cond == 'trial') || ($user->access_cond == 'subscripted'))
                <li class="list-group-item">
                  <b>End Access Date</b> <a class="float-right">
                      {{ App\Helpers\Helper::changeDateFormat($user->end_acc_period, "jS \of F Y") }} year
                  </a>
                </li>
              @endif
            </ul>        

          </div>
          <!-- /.card-body -->
          <div class="card-footer box-profile" style="text-align: center;">
            <a href="{{ route('user.edit', ['user' => $user->id]) }}" class="btn btn-primary" style="margin-top: 20px;"><b>Edit Profile</b></a>
          </div>

        </div>
    </div>

@stop

resources/views/user/index__draft.blade.php
@extends('adminlte::page')

@section('content_header')
    <div class="starter-template text-center py-2 px-3">
        <h1>Profile</h1>
    </div>
@stop

@section('content')

<div class="col-md-6">
    <div class="card">
      <div class="card-body">
        <table class="table table-bordered">
          <tbody>
            <tr>
              <td>Name</td>
              <td>
                  <input type="text" name="name" id="Name" class="form-control @error('name') is-invalid @enderror" value="{{old('name') ?? $user->name }}">
                    @error('name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
              </td>
              <td>
                <a class="btn btn-info btn-sm w-50" href="{{ route('users.edit', ["user" => $user->id]) }}">
                    <i class="fas fa-pencil-alt">
                    </i>
                    Edit
                </a>
              </td>
            </tr>

            <tr>
              <td>E-Mail Address</td>
              <td>
                  <input type="text" name="email" id="email" class="form-control @error('email') is-invalid @enderror" value="{{old('email') ?? $user->email }}">
                    @error('email')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                    @enderror
              </td>
              <td>
                <a class="btn btn-info btn-sm w-50" href="{{ route('users.edit', ["user" => $user->id]) }}">
                    <i class="fas fa-pencil-alt">
                    </i>
                    Edit
                </a>
              </td>
            </tr>

            <tr>
              <td>2.</td>
              <td>Clean database</td>
              <td>
                <div class="progress progress-xs">
                  <div class="progress-bar bg-warning" style="width: 70%"></div>
                </div>
              </td>
              <td><span class="badge bg-warning">70%</span></td>
            </tr>
            <tr>
              <td>3.</td>
              <td>Cron job running</td>
              <td>
                <div class="progress progress-xs progress-striped active">
                  <div class="progress-bar bg-primary" style="width: 30%"></div>
                </div>
              </td>
              <td><span class="badge bg-primary">30%</span></td>
            </tr>
            <tr>
              <td>4.</td>
              <td>Fix and squish bugs</td>
              <td>
                <div class="progress progress-xs progress-striped active">
                  <div class="progress-bar bg-success" style="width: 90%"></div>
                </div>
              </td>
              <td><span class="badge bg-success">90%</span></td>
            </tr>
          </tbody>
        </table>
      </div>
      <!-- /.card-body -->
      <div class="card-footer clearfix">
        <ul class="pagination pagination-sm m-0 float-right">
          <li class="page-item"><a class="page-link" href="#">«</a></li>
          <li class="page-item"><a class="page-link" href="#">1</a></li>
          <li class="page-item"><a class="page-link" href="#">2</a></li>
          <li class="page-item"><a class="page-link" href="#">3</a></li>
          <li class="page-item"><a class="page-link" href="#">»</a></li>
        </ul>
      </div>
    </div>
    <!-- /.card -->

    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Condensed Full Width Table</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body p-0">
        <table class="table table-condensed">
          <thead>
            <tr>
              <th style="width: 10px">#</th>
              <th>Task</th>
              <th>Progress</th>
              <th style="width: 40px">Label</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>1.</td>
              <td>Update software</td>
              <td>
                <div class="progress progress-xs">
                  <div class="progress-bar progress-bar-danger" style="width: 55%"></div>
                </div>
              </td>
              <td><span class="badge bg-danger">55%</span></td>
            </tr>
            <tr>
              <td>2.</td>
              <td>Clean database</td>
              <td>
                <div class="progress progress-xs">
                  <div class="progress-bar bg-warning" style="width: 70%"></div>
                </div>
              </td>
              <td><span class="badge bg-warning">70%</span></td>
            </tr>
            <tr>
              <td>3.</td>
              <td>Cron job running</td>
              <td>
                <div class="progress progress-xs progress-striped active">
                  <div class="progress-bar bg-primary" style="width: 30%"></div>
                </div>
              </td>
              <td><span class="badge bg-primary">30%</span></td>
            </tr>

@stop